package _VisualDVM.Visual.Menus;
import Common.Utils.Utils_;
import Common.Passes.Pass;
import _VisualDVM.Visual.Controls.PassControl;
public class StablePassMenuItem extends StableMenuItem implements PassControl {
    @Override
    public void setIcon(String icon_path) {
        setIcon(Utils_.getIcon(icon_path));
    }
    public StablePassMenuItem(Pass pass) {
        setText(pass.getDescription());
        setToolTipText(pass.getDescription());
        if (pass.getIconPath() != null) setIcon(pass.getIconPath());
        addActionListener(pass.getControlAction());
        pass.controls.add(this);
    }
}
